
 LinHES - Feature # 851: idle.sh: add frontend playing check

Status: Closed Priority: Normal
Author: brfransen Category: Packages: Core
Created: 09/18/2012 Assignee: brfransen
Updated: 09/18/2012 Due date:
Description: Check if the remote frontends are playing a video and return the system as busy if they are.

Associated revisions
09/18/2012 08:24 am - brfransen
linhes-scripts: idle.sh: Check if frontends are playing. closes #851.

Add -d option that will include mythshutdown daily wake in system busy calculation. Default excludes daily wake in system busy calculation. This is 
needed to use idle.sh as the PreCheck for system shutdown.

Add -w option to check for open windows. Before checking for windows was default but in some cases the user won't want the check. Adding window 
check as an option makes it consistant with the login check.

09/18/2012 10:14 am - brfransen
linhes-scripts: mythwelcome-config.py: use idle.sh for pre shutdown check. refs #851

09/20/2012 12:40 pm - brfransen
linhes-scripts: idle.sh: rework upcoming recordings to use misc_upcoming_recordings.pl as it is quicker. refs #851

change -d to -m as it includes more than just daily wake

add -r to check if mythfrontend is running on the hosts

mythwelcome-config.py: update preSDWUCheckCommand with new options

History
09/18/2012 08:25 am - brfransen
- % Done changed from 0 to 100

- Status changed from New to Closed

Applied in changeset commit:3df4252b00aca3d018cd3362ad2aab9b969d9e46.
